Skip to main content
GET
/
secrets
/
{sec_id}
curl https://production.methodfi.com/secrets/sec_au22b1fbFrmfp \
  -H "Method-Version: 2025-07-04" \
  -H "Authorization: Bearer sk_WyZEWVfTcH7GqmPzUPk65Vjc"
{
  "id": "sec_au22b1fbFrmfp",
  "metadata": {
    "environment": "production"
  },
  "created_at": "2025-12-04T18:50:54.024Z",
  "updated_at": "2025-12-04T18:50:54.024Z",
  "status": "active"
}

Documentation Index

Fetch the complete documentation index at: https://docs.methodfi.com/llms.txt

Use this file to discover all available pages before exploring further.

Returns the Secret object associated with the ID.

Path Parameters

Returns

Returns the Secret object associated with the ID. Note that the value field is not returned.
curl https://production.methodfi.com/secrets/sec_au22b1fbFrmfp \
  -H "Method-Version: 2025-07-04" \
  -H "Authorization: Bearer sk_WyZEWVfTcH7GqmPzUPk65Vjc"
{
  "id": "sec_au22b1fbFrmfp",
  "metadata": {
    "environment": "production"
  },
  "created_at": "2025-12-04T18:50:54.024Z",
  "updated_at": "2025-12-04T18:50:54.024Z",
  "status": "active"
}